"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Here happyx bindings tests in TS
const src_1 = require("../src");
const app = new src_1.Server();
app.get('/', (req) => {
    req.answer('Hello, world!');
});
app.get('/return', (req) => {
    return 'Hello, world!';
});
app.get('/test', (req) => {
    req.answerJson({
        'obj': 'Hello from JavaScript'
    }, 401);
});
app.ws('/ws', (client) => {
    console.log(client);
    if (client.state == src_1.WSState.OPEN) {
        client.send("Hello");
    }
});
const UserModel = new src_1.RequestModel('UserMode', {
    username: '',
    age: 0
});
app.post('/[u:UserModel]', (req) => {
    console.log(req.params);
    return { 'response': {
            'username': req.params.u.username,
            'age': req.params.u.age
        } };
});
app.start();
